/*********************************************************************************

 R[hNXwb_


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef CHARSET_HEADER
#define CHARSET_HEADER

//==================================================
// CN[h
//==================================================
#include <windows.h>

//==================================================
// 萔̐錾
//==================================================
#define SHIFTJIS_TO_UCS2 0x00000001
#define UCS2_TO_UTF8 0x00000002
#define SHIFTJIS_TO_UTF8 0x00000003
#define UTF8_TO_UCS2 0x00000004
#define UCS2_TO_SHIFTJIS 0x00000005
#define UTF8_TO_SHIFTJIS 0x00000006

//==================================================
// R[hNX錾
//==================================================
class CharSet {
private:
	static int nBufSize;
	static unsigned char* pucText;
	static unsigned char* pucTempText;

public:
	static int ConvertText(unsigned char* pucOriginalText, int nType);
	static void CopyText(unsigned char* pcConvertedText);
};

#endif
