/*********************************************************************************

 C-SWAT Ver.2.2.0.0 (o[WEBhEpwb_)


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef VERINFOWND_HEADER
#define VERINFOWND_HEADER

//==================================================
// CN[h
//==================================================
#include "c-swat.h"

//==================================================
// 萔̐錾
//==================================================
#define ID_WND_VER_OK 0x00002200
#define ID_WND_VER_MAIL 0x00002201
#define ID_WND_VER_HOMEPAGE 0x00002202

//==================================================
// EBhENX
//==================================================
class VerInfoWnd:public Window {
private:
	// ϐ̐錾
	ChildWnds *poChildWnds;
	ListView *poVerInfo;
	Button *poMail;
	Button *poHomePage;
	Button *poOK;
	static bool bIsRunning;
	bool bIsWindowCreated;

	// ֐̐錾
	void RegWndClass() const;
	void CreateVerInfoWnd(const char *pcTitle, long nWidth, long nHeight);
	void CreateChildWnds();
	static LRESULT VerInfoWndProc(HWND hWnd, UINT wMsg, WPARAM wParam, LPARAM lParam);

public:
	// ֐̐錾
	VerInfoWnd();
	~VerInfoWnd();
};


#endif