/*********************************************************************************

 C-SWAT Ver.2.2.0.0 (ÍEEBhEpwb_)


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef CIPHERWND_HEADER
#define CIPHERWND_HEADER

#include "c-swat.h"

//==================================================
// 萔̒`
//==================================================
// EBhEID
#define ID_WND_STATUS 0x00002300
#define ID_WND_PROGRESS_MAIN 0x00002301
#define ID_WND_PERCENTAGE_MAIN 0x00002302
#define ID_WND_PROGRESS_SUB 0x00002303
#define ID_WND_PERCENTAGE_SUB 0x00002304

// EBhEbZ[W
#define WM_RIJNDAEL_ENC WM_USER + 0x0100
#define WM_RIJNDAEL_DEC WM_USER + 0x0101

//==================================================
// ÍEBhENX
//==================================================
class CSwatCipherWnd:public Window {

private:

	// ϐ̐錾
	bool bAccessToPermillage[2];
	char *pcPermillage[2];
	static CSwatCipherWnd *poThis;
	Label *poLabel01;
	ProgressBar *poProgressMain;
	ProgressBar *poProgressSub;
	Label *poPercentageMain;
	Label *poPercentageSub;
	
	int nPermillageLen;

	// ֐̐錾
	void RegWndClass() const;
	void CreateCSwatCipherWnd(const char *pcTitle, long nWidth, long nHeight);
	void DeleteCloseButton() const;
	void CreateChildWindows();
	static LRESULT CSwatCipherWndProc(HWND hWnd, UINT wMsg, WPARAM wParam, LPARAM lParam);

public:

	// ϐ̐錾
	TextArea *poStatus;
	unsigned __int64 un64FileSize;
	unsigned __int64 un64Range;
	unsigned __int64 un64Base;

	// ֐̐錾
	CSwatCipherWnd();
	~CSwatCipherWnd();

	void SetProgress(int nPermillage, int nWnd);
};

#endif