/*********************************************************************************

 C-SWAT Ver.2.2.0.0 (CSEt@CNXpwb_)


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef CSWAT_CIPHER_HEADER
#define CSWAT_CIPHER_HEADER

#include "c-swat.h"
#include "CharSet.h"
#include "MD5.h"

//==================================================
// \̂̒`
//==================================================
struct CSE_HEADER_BLOCK {
	unsigned char fileTypeId[3];
	unsigned char majorVersion;
	unsigned char minorVersion;
	unsigned __int64 fileSize;
};

struct CSE_NORMAL_BLOCK_HEADER {
	unsigned char id;
	unsigned __int64 size;
};

//==================================================
// NX̐錾
//==================================================
class CseFile {
public:
	bool getOriginalFileName(const unsigned char* cseFilePath, unsigned char* originalFileName, const unsigned char* password);
};

#endif