/*********************************************************************************

 C-SWAT Ver.2.2.0.0 (ʃwb_)


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

/*#ifndef DEBUG_MODE
#define DEBUG_MODE
#endif*/

#ifndef C_SWAT_HEADER
#define C_SWAT_HEADER

#include <string>
#include <iostream>
using namespace std;

#include <stdlib.h>
#include <shlobj.h>
#include <windows.h>
#include <algorithm>

#include "CharSet.h"
#include "CmdLine.h"
#include "MD5.h"
#include "Menu.h"
#include "bad_rijndael.h"
#include "Rijndael.h"
#include "SHA.h"
#include "WindowClasses.h"
#include "xml.h"

#include "resource.h"
// If you'd lile to make the English version, please use "strings_en.h" instead of "strings_ja.h"
#include "strings_ja.h"

#define CSL_SUPPORT_VERSION 1.999

#endif
