/*********************************************************************************

 CipherNXpwb_


 Copyright (c) 2008-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef CIPHER_HEADER
#define CIPHER_HEADER

#include <windows.h>

//==================================================
// CipherNX
//==================================================
class Cipher {
public:
	virtual unsigned __int64 GetNeededBufSize(unsigned __int64 dwNumOfBytes) const = 0; // obt@TCY擾֐
	virtual bool Encrypt(const unsigned char* pucData, DWORD dwNumOfBytes, const char* pcEncKey, unsigned char* pucEncData, unsigned char* pucVector) = 0; // Í֐
	virtual bool Decrypt(const unsigned char* pucData, DWORD dwNumOfBytes, const char* pcDecKey, unsigned char* pucDecData, unsigned char* pucInitVector) = 0; // ֐
	virtual void RegWndToSendMsg(HWND hWnd, UINT wMsg) = 0; // bZ[WMEBhEo^֐
};

#endif