/*********************************************************************************

 C-SWATCXg[ Ver.1.0.1.2


 Copyright (c) 2008-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/


//==================================================
// CN[h
//==================================================
#include "c-swat.h"
#include "PathManagement.h"


//==================================================
// ֘At֐
//==================================================
void SetFileAssociation(const PathManagement& pathManagement_obj)
{
	// ϐ̐錾
	HKEY regKeyOfCSE1;
	HKEY regKeyOfCSL1;
	HKEY regKeyOfCSE2;
	HKEY regKeyOfCSL2;
	HKEY regKeyOfCSE3;
	HKEY regKeyOfCSL3;
	HKEY regKeyOfCSE4;
	HKEY regKeyOfCSL4;
	char* pcPath;

	if (RegCreateKeyEx(HKEY_CLASSES_ROOT, ".cse", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE1, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSE1, "", 0, REG_SZ, (LPBYTE)"C-SWAT.EncodedFile", 19);
		RegCloseKey(regKeyOfCSE1);
	}
	if (RegCreateKeyEx(HKEY_CLASSES_ROOT, ".csl", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL1, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSL1, "", 0, REG_SZ, (LPBYTE)"C-SWAT.FileList", 16);
		RegCloseKey(regKeyOfCSL1);
	}

	if (RegCreateKeyEx(HKEY_CLASSES_ROOT, "C-SWAT.EncodedFile", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE1, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSE1, "", 0, REG_SZ, (LPBYTE)"C-SWAT Íς݃t@C", 26);
	}
	if (RegCreateKeyEx(HKEY_CLASSES_ROOT, "C-SWAT.FileList", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL1, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSL1, "", 0, REG_SZ, (LPBYTE)"C-SWAT t@CXg", 22);
	}

	pcPath = (char*)malloc(lstrlen((LPCSTR)pathManagement_obj.pcCSwatPath) + 9);
	lstrcpy((LPSTR)pcPath, "\"");
	lstrcat((LPSTR)pcPath, pathManagement_obj.pcCSwatPath);
	lstrcat((LPSTR)pcPath, "\",-2");
	if (RegCreateKeyEx(regKeyOfCSE1, "DefaultIcon", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE2, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSE2, "", 0, REG_SZ, (LPBYTE)pcPath, lstrlen((LPCSTR)pathManagement_obj.pcCSwatPath) + 9);
		RegCloseKey(regKeyOfCSE2);
	}
	lstrcpy((LPSTR)pcPath, "\"");
	lstrcat((LPSTR)pcPath, pathManagement_obj.pcCSwatPath);
	lstrcat((LPSTR)pcPath, "\",-3");
	if (RegCreateKeyEx(regKeyOfCSL1, "DefaultIcon", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL2, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOfCSL2, "", 0, REG_SZ, (LPBYTE)pcPath, lstrlen((LPCSTR)pathManagement_obj.pcCSwatPath) + 9);
		RegCloseKey(regKeyOfCSL2);
	}

	lstrcpy((LPSTR)pcPath, "\"");
	lstrcat((LPSTR)pcPath, pathManagement_obj.pcCSwatPath);
	lstrcat((LPSTR)pcPath, "\" \"%1\"");
	if (RegCreateKeyEx(regKeyOfCSE1, "shell", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE2, NULL) == ERROR_SUCCESS) {
		if (RegCreateKeyEx(regKeyOfCSE2, "open", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE3, NULL) == ERROR_SUCCESS) {
			if (RegCreateKeyEx(regKeyOfCSE3, "command", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSE4, NULL) == ERROR_SUCCESS) {
				RegSetValueEx(regKeyOfCSE4, "", 0, REG_SZ, (LPBYTE)pcPath, lstrlen((LPCSTR)pathManagement_obj.pcCSwatPath) + 8);
				RegCloseKey(regKeyOfCSE4);
			}
			RegCloseKey(regKeyOfCSE3);
		}
		RegCloseKey(regKeyOfCSE2);
	}
	if (RegCreateKeyEx(regKeyOfCSL1, "shell", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL2, NULL) == ERROR_SUCCESS) {
		if (RegCreateKeyEx(regKeyOfCSL2, "open", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL3, NULL) == ERROR_SUCCESS) {
			if (RegCreateKeyEx(regKeyOfCSL3, "command", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOfCSL4, NULL) == ERROR_SUCCESS) {
				RegSetValueEx(regKeyOfCSL4, "", 0, REG_SZ, (LPBYTE)pcPath, lstrlen((LPCSTR)pathManagement_obj.pcCSwatPath) + 8);
				RegCloseKey(regKeyOfCSL4);
			}
			RegCloseKey(regKeyOfCSL3);
		}
		RegCloseKey(regKeyOfCSL2);
	}

	RegCloseKey(regKeyOfCSE1);
	RegCloseKey(regKeyOfCSL1);

	free(pcPath);
}


//==================================================
// C֐
//==================================================
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR/* pcCmdLine*/, int)
{
	//----------------------------------------
	// 
	//----------------------------------------
	PathManagement pathManagement_obj;
	CoInitialize(NULL);

	//----------------------------------------
	// mF
	//----------------------------------------
	if (MessageBox(NULL, STR_MSG_INSTALL, STR_INSTALLER_SOFTNAME, MB_YESNO | MB_DEFBUTTON2) != IDYES) {
		MessageBox(NULL, STR_MSG_INSTALL_CANCEL, STR_INSTALLER_SOFTNAME, MB_OK);
		return 0;
	}

	//----------------------------------------
	// CXg[
	//----------------------------------------
	// ֘At
	SetFileAssociation(pathManagement_obj);
	SHChangeNotify(SHCNE_ASSOCCHANGED, SHCNF_IDLIST, NULL, NULL);


	// OSNɈxN悤ɂ鏈
	HKEY regKeyOf;
	std::string regCmd("\"");
	regCmd += pathManagement_obj.pcSelfDir;
	regCmd += "C-SWAT.exe\" --reenc";
	if (RegCreateKeyEx(HKEY_LOCAL_MACHINE, "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run", 0, NULL, 0, KEY_ALL_ACCESS, NULL, &regKeyOf, NULL) == ERROR_SUCCESS) {
		RegSetValueEx(regKeyOf, "c-swat", 0, REG_SZ, (BYTE*)regCmd.c_str(), lstrlen((LPCSTR)regCmd.c_str()) + 1);
		CloseHandle(regKeyOf);
	}

	// ACR̍쐬
	IShellLink* IShellLink_p;
	IPersistFile* IShellPersistFile_p;
	if (
		(CoCreateInstance(CLSID_ShellLink, NULL, CLSCTX_INPROC_SERVER, IID_IShellLink, reinterpret_cast<LPVOID*>(&IShellLink_p)) == S_OK) &&
		(IShellLink_p->QueryInterface(IID_IPersistFile, reinterpret_cast<void**>(&IShellPersistFile_p)) == S_OK)
	) {
		IShellLink_p->SetPath(pathManagement_obj.pcCSwatPath);
		IShellLink_p->SetShowCmd(SW_SHOW);
		IShellLink_p->SetWorkingDirectory(pathManagement_obj.pcSelfDir);
		IShellLink_p->SetIconLocation(pathManagement_obj.pcCSwatPath, 0);
		IShellLink_p->SetHotkey(0);
		IShellLink_p->SetDescription(STR_INSTALLER_CSWAT_DESCRIPTION);

		// fXNgbv
		if (MessageBox(NULL, STR_INSTALLER_DESKTOP_ICON, STR_INSTALLER_SOFTNAME, MB_YESNO | MB_DEFBUTTON2) == IDYES) {
			char desktopIconPath_c[MAX_PATH + 10];
			OLECHAR desktopIconPath_ole[MAX_PATH + 10];
			SHGetFolderPath(NULL, CSIDL_COMMON_DESKTOPDIRECTORY, NULL, SHGFP_TYPE_CURRENT, desktopIconPath_c);
			lstrcat(desktopIconPath_c, "\\C-SWAT.lnk");
			MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, desktopIconPath_c, -1, desktopIconPath_ole, MAX_PATH);
			IShellPersistFile_p->Save(desktopIconPath_ole, TRUE);
			SHChangeNotify(SHCNE_CREATE, SHCNF_IDLIST | SHCNF_PATH, desktopIconPath_c, NULL);
		}

		// X^[gj[ɓo^
		if (MessageBox(NULL, STR_INSTALLER_START_MENU_ICON, STR_INSTALLER_SOFTNAME, MB_YESNO | MB_DEFBUTTON2) == IDYES) {
			char startMenuPath_c[MAX_PATH];
			char startMenuIconPath_c[MAX_PATH + 16];
			OLECHAR startMenuIconPath_ole[MAX_PATH + 16];
			SHGetFolderPath(NULL, CSIDL_COMMON_STARTMENU, NULL, SHGFP_TYPE_CURRENT, startMenuPath_c);
			lstrcat(startMenuPath_c, "\\C-SWAT");
			CreateDirectory(startMenuPath_c, NULL);
			lstrcpy(startMenuIconPath_c, startMenuPath_c);
			lstrcat(startMenuIconPath_c, "\\C-SWAT.lnk");
			MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, startMenuIconPath_c, -1, startMenuIconPath_ole, MAX_PATH);
			IShellPersistFile_p->Save(startMenuIconPath_ole, TRUE);

			char dflmPath_c[MAX_PATH + 7];
			char dflmIconPath_c[MAX_PATH + 20];
			OLECHAR dflmIconPath_ole[MAX_PATH + 20];
			lstrcpy(dflmPath_c, pathManagement_obj.pcSelfDir);
			lstrcat(dflmPath_c, "dfl_maker.exe");
			IShellLink_p->SetPath(dflmPath_c);
			IShellLink_p->SetShowCmd(SW_SHOW);
			IShellLink_p->SetIconLocation(dflmPath_c, 0);
			IShellLink_p->SetDescription(STR_INSTALLER_DFLM_DESCRIPTION);
			lstrcpy(dflmIconPath_c, startMenuPath_c);
			lstrcat(dflmIconPath_c, "\\dfl_maker.lnk");
			MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, dflmIconPath_c, -1, dflmIconPath_ole, MAX_PATH);
			IShellPersistFile_p->Save(dflmIconPath_ole, TRUE);

			char uninstallerPath_c[MAX_PATH + 9];
			char uninstallerIconPath_c[MAX_PATH + 22];
			OLECHAR uninstallerIconPath_ole[MAX_PATH + 22];
			lstrcpy(uninstallerPath_c, pathManagement_obj.pcSelfDir);
			lstrcat(uninstallerPath_c, "uninstaller.exe");
			IShellLink_p->SetPath(uninstallerPath_c);
			IShellLink_p->SetShowCmd(SW_SHOW);
			IShellLink_p->SetIconLocation(uninstallerPath_c, 0);
			IShellLink_p->SetDescription(STR_INSTALLER_UNINSTALLER_DESCRIPTION);
			lstrcpy(uninstallerIconPath_c, startMenuPath_c);
			lstrcat(uninstallerIconPath_c, "\\uninstaller.lnk");
			MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, uninstallerIconPath_c, -1, uninstallerIconPath_ole, MAX_PATH);
			IShellPersistFile_p->Save(uninstallerIconPath_ole, TRUE);
		}

		// ̉
		IShellPersistFile_p->Release();
		IShellLink_p->Release();
		CoUninitialize();
	};

	//----------------------------------------
	// Iʒm
	//----------------------------------------
	MessageBox(NULL, STR_MSG_INSTALL_FINISHED, STR_INSTALLER_SOFTNAME, MB_OK);

	return 0;
}
