/*********************************************************************************

 C-SWAT Ver.2.2.0.0 (`)


 Copyright (c) 2006-2013, Isao MORI (Orios)
 All rights reserved.

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
   * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************************/

#ifndef CSWAT_STRINGS
#define CSWAT_STRINGS

#define STR_AUTHOR "X@ (Orios)"
#define STR_HOMEPAGE_ADDRESS "http://orios.s151.xrea.com/"
#define STR_MAIL_ADDRESS "mailto:orios814@gmail.com"
#define STR_RELEASE_DATE "2013N0502"
#define STR_SOFTNAME "C-SWAT"
#define STR_VERSION "2.2.0.0"

#define STR_DFLM_MSG_NOT_CSE_FILE_01 "\""
#define STR_DFLM_MSG_NOT_CSE_FILE_02 "\"CSEt@Cł͂܂B"
#define STR_DFLM_SOFTNAME "t@CXg쐬vO"
#define STR_DFLM_VERSION "1.2.0.1"
#define STR_ENCCHECK_COPYLEFT "Copyright (c) 2008-2013, Isao MORI (Orios)\nAll rights reserved."
#define STR_ENCCHECK_DEC "    : "
#define STR_ENCCHECK_ENC " Á@@ : "
#define STR_ENCCHECK_ERROR "***** ERROR *****"
#define STR_ENCCHECK_I "-i <InitVector>: xNg(IV)16oCg16iŎw肵ĂB"
#define STR_ENCCHECK_I_EX "     [] -i 00112233445566778899aabbccddeeff"
#define STR_ENCCHECK_INDENT_SPACE "@@@@@@@"
#define STR_ENCCHECK_IV "xNg: "
#define STR_ENCCHECK_K "-k <Key>: ÍɎg32oCg16iŎw肵ĂB"
#define STR_ENCCHECK_K_EX "     [] -k 0123456789abcdeffedcba98765432100f1e2d3c4b5a69788796a5b4c3d2e1f0"
#define STR_ENCCHECK_KEY "@@  @@: "
#define STR_ENCCHECK_P "-p <PlainText>: 16iŎw肵ĂB͎RłB"
#define STR_ENCCHECK_PARAM_INVALID "p[^słB"
#define STR_ENCCHECK_P_EX "     [] -p 0123456789abcdef"
#define STR_ENCCHECK_PLAIN_TEXT "@@@@: "
#define STR_ENCCHECK_TITLE "***** Í`FbJ[ Ver.1.0.0.3 *****"
#define STR_ENCCHECK_USAGE ": enccheck -i <InitVector> -k <Key> -p <PlainText>"
#define STR_INFO_CSL_FILE_CANNOT_CREATE "CSLt@C쐬ł܂B"
#define STR_INFO_ENCODING_01 "\""
#define STR_INFO_ENCODING_02 "\"Í\r\n"
#define STR_INFO_DECODING_01 "\""
#define STR_INFO_DECODING_02 "\"𕜍\r\n"
#define STR_INFO_DELETING_01 "\""
#define STR_INFO_DELETING_02 "\"폜\r\n"
#define STR_INFO_FAIL_ENCODING_01 "\""
#define STR_INFO_FAIL_ENCODING_02 "\"̈ÍɎs("
#define STR_INFO_FAIL_ENCODING_03 ")\r\n"
#define STR_INFO_FILE_CANNOT_OPEN "t@CJ܂B"
#define STR_INFO_FILE_CANNOT_READ "t@Cǂ߂܂B"
#define STR_INFO_FILE_CANNOT_SAVE "t@Cۑł܂B"
#define STR_INFO_FILE_CANNOT_WRITE "t@Cɏ߂܂B"
#define STR_INFO_FINISH_PROCESS_01 "\""
#define STR_INFO_FINISH_PROCESS_02 "\"̏܂B\r\n"
#define STR_INSTALLER_DESKTOP_ICON "fXNgbvɃACR쐬܂H"
#define STR_INSTALLER_START_MENU_ICON "X^[gj[ɓo^܂H"
#define STR_INSTALLER_CSWAT_DESCRIPTION "gāhÍ\tg C-SWAT"
#define STR_INSTALLER_DFLM_DESCRIPTION "t@CXg쐬vO"
#define STR_INSTALLER_SOFTNAME "C-SWATCXg["
#define STR_INSTALLER_UNINSTALLER_DESCRIPTION "C-SWATACXg["
#define STR_MENU_ADD "ǉ(&A)"
#define STR_MENU_DELETE "폜(&A)"
#define STR_MENU_OPEN "J(&A)"
#define STR_MSG_CSL_PATH_NOT_SET "t@CXg̃pXݒ肳Ă܂B"
#define STR_MSG_FILE_NOT_DROPPED "t@Cw肳Ă܂B"
#define STR_MSG_FILE_CANNOT_OPEN "t@CJ܂B"
#define STR_MSG_INSTALL "\"C-SWAT\"CXg[܂H"
#define STR_MSG_INSTALL_CANCEL "\"C-SWAT\"CXg[̓LZ܂B"
#define STR_MSG_INSTALL_FINISHED "\"C-SWAT\"̃CXg[܂B"
#define STR_MSG_NO_EXTENTION "gqȂ߃t@CJ܂B"
#define STR_MSG_NOT_CSE_FILE "̃t@CCSEt@Cł͂܂B"
#define STR_MSG_NOT_SUPPORTED "̃o[W̃t@C̓T|[gĂ܂B"
#define STR_MSG_PASSWORD_ERROR "pX[hv܂B"
#define STR_MSG_PASSWORD_NULL "pX[h͂Ă܂B"
#define STR_MSG_REENC_TOO_EARLY "JĂ10bȓɍĈÍ悤ƂĂ܂Bt@C̎gpI𐳏ɌmłȂ\܂B\n\
̃_CAOƍĈÍJn܂B\n\n\
 dNh~@\̂\tggĂꍇɂ̃bZ[Wo邱Ƃ܂B\n\
@@dNh~@\̂\tǵȂOɈUĂĂB"
#define STR_MSG_REGISTRY_CANNOT_DELETE "WXg̈ꕔ͑S̍폜Ɏs܂B\r\n\r\n ACXg[͂̂܂܌p܂B"
#define STR_MSG_UNINSTALL "\"C-SWAT\"ACXg[܂H"
#define STR_MSG_UNINSTALL_COMPLETE "\"C-SWAT\"̃ACXg[܂B萔łt@C̓[Ulō폜ĂB"
#define STR_MSG_WAITING "Xĝ̃t@CJ܂łB\r\n\r\n ̃bZ[WƍĈÍJn܂B"
#define STR_TT_ADD_FILE "XgɃt@Cǉ܂B"
#define STR_TT_DELETE_FILE "Iꂽt@CXg폜܂B"
#define STR_TT_DOWN_FILE "Xg̑Iꂽt@CɈړ܂B"
#define STR_TT_HINT "Kv΃pX[h̃qg͂ĂB"
#define STR_TT_OVERWRITE "Õt@CꂽƂɏ㏑ꍇ̓`FbNĂB"
#define STR_TT_PASSWORD "ɎgppX[h͂ĂB"
#define STR_TT_SHOW_OFN "pX[h͂ĂNbNƌt@C\܂B"
#define STR_TT_UP_FILE "Xg̑Iꂽt@CɈړ܂B"
#define STR_TT_DEC_HINT "pX[h̃qgłB"
#define STR_TT_DEC_NOT_WATCH "t@C𕜍邾ōĈÍKvȂꍇɂ̂݃`FbNĂB"
#define STR_TT_DEC_AUTO_DEL "Ɍ̈Íς݃t@Cō폜ꍇɃ`FbNĂB"
#define STR_TT_DFLM_CSL_FILE_NAME "CSLt@C̖O̓pX͂ĂB"
#define STR_TT_DFLM_FILE_LIST "t@CXgɒǉt@CɃhbO&&hbvĂB"
#define STR_TT_DFLM_REFERENCE "CSLt@C̕ۑQƂ܂B"
#define STR_TT_ENC_ABSOLUTE_PATH "`FbNƕt@Cʂ̃tH_Ɉړł悤ɂȂ܂B"
#define STR_TT_ENC_AUTO_DEL "ÍɌ̃t@Cō폜ꍇɃ`FbNĂB"
#define STR_TT_ENC_CHANGE_NAME "t@C_ȕɂꍇɃ`FbNĂB"
#define STR_TT_ENC_CONFIRMATION "mF̂߂xƓpX[h͂ĂB"
#define STR_TT_ENC_CREATE_LIST "̃t@CꊇĊǗꍇɃ`FbNĂB"
#define STR_TT_ENC_CSL_FILE_NAME "CSLt@C̖O͂ĂB̃t@C͈Íς݃t@CƓtH_ɍ쐬܂B"
#define STR_TT_ENC_FILE_LIST "Ít@CɃhbO&&hbvĂB"
#define STR_UNINSTALLER_SOFTNAME "C-SWATACXg["
#define STR_WND_ADD "ǉ"
#define STR_WND_CANCEL "LZ"
#define STR_WND_COLON "F"
#define STR_WND_DELETE "폜"
#define STR_WND_DOWN_FILE ""
#define STR_WND_FILE_FILTER_ALL "ׂẴt@C (*.*)\0*\0\0"
#define STR_WND_FILE_NAME "t@C"
#define STR_WND_FILE_PATH "t@CpX"
#define STR_WND_HELP "wv"
#define STR_WND_HINT "qg(C):"
#define STR_WND_OK "OK"
#define STR_WND_ORIGINAL_FILE_NAME "t@C"
#define STR_WND_OVERWRITE "̃t@C͏㏑B"
#define STR_WND_PASSWORD "pX[h:"
#define STR_TT_PASSWORD_FOR_OFN "t@C\ꍇ̓pX[h͂ĂB"
#define STR_WND_SHOW_OFN "t@C\"
#define STR_WND_UP_FILE ""
#define STR_WND_VERSION_INFO "o[W"
#define STR_WND_CW_PROCESS_STATUS "is:"
#define STR_WND_DEC_AUTO_DELETE "Ɍ̈Íς݃t@C폜B"
#define STR_WND_DEC_DECODING_FILE_NAME "t@C̖OF"
#define STR_WND_DEC_HINT "qg"
#define STR_WND_DEC_NOT_WATCH "t@CI[vEĈÍȂB(񐄏)"
#define STR_WND_DEC_PASSWORD "pX[h"
#define STR_WND_DFLM_CSL_FILE_FILTER "C-SWAT t@CXg (*.csl)\0*.csl\0\0"
#define STR_WND_DFLM_CSL_FILE_PATH "t@CXgpX:"
#define STR_WND_DFLM_FILE_TO_INCLUDE "t@CXgɓt@C(Jt@C͉Ƀ`FbN)"
#define STR_WND_DFLM_HINT "pX[h̃qg:"
#define STR_WND_DFLM_OPEN_FILE_TO_INCLUDE "t@Cɒǉt@CJ"
#define STR_WND_DFLM_REFERENCE "Q"
#define STR_WND_DFLM_SAVE_CSL_FILE_PATH "CSLt@Cۑ"
#define STR_WND_ENC_ABSOLUTE_PATH "΃pXgpB"
#define STR_WND_ENC_AUTO_DELETE "Ít@CIɍ폜B"
#define STR_WND_ENC_CHANGE_NAME "Ít@C̖O_ɕύXB"
#define STR_WND_ENC_CONFIRMATION "pX[h(mF):"
#define STR_WND_ENC_CREATE_LIST "t@CXg쐬B(̃XĝJt@CɃ`FbN)"
#define STR_WND_ENC_CSL_FILE_NAME "t@CXg:"
#define STR_WND_ENC_ENCODING_FILE_LIST "Ít@C (hbO&&hbv)"
#define STR_WND_ENC_OPEN_ENCODEING_FILE "Ít@CJ"
#define STR_WND_ORIGINAL_FILE_NAME "t@C"
#define STR_WND_REENC_REENCODING "O񉽂炩̌ōĈÍłȂȉ̃t@CÍ܂B\r\npX[ĥ͓gpĂB"
#define STR_WND_VI_HOMEPAGE "҂̃z[y[Wɍs"
#define STR_WND_VI_ITEM ""
#define STR_WND_VI_ITEM_NAME ""
#define STR_WND_VI_ITEM_VERSION "o[W"
#define STR_WND_VI_ITEM_DATE "[X"
#define STR_WND_VI_ITEM_AUTHOR ""
#define STR_WND_VI_MAIL "҂Ƀ[𑗂"
#define STR_WND_VI_VALUE "l"

#endif
